/*

    mp_msg_es.h

    Mensajes en espaol

    mp - Programmer Text Editor

    Copyright (C) 1991-2000 Angel Ortega <angel@triptico.com>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    http://www.triptico.com

*/
/* -*- Mode: C */

static char * _es_ids[] = { "spanish", "es", "es_ES", "ES", NULL };

static struct lang_str _es_strs[] = 
{
	{ MSG_YES_STRING,	"S" },
	{ MSG_NO_STRING,	"No" },
	{ MSG_UNNAMED,	    "<sin nombre>" },
	{ MSG_TEXTTOSEEK,   "Texto a buscar: " },
	{ MSG_TAGTOSEEK,    "Tag a buscar: " },
	{ MSG_NOTFOUND,     "Texto no encontrado." },
	{ MSG_TAGNOTFOUND,  "Tag(s) no encontrado(s)." },
	{ MSG_FILENAME,     "Nombre del fichero: " },
	{ MSG_SAVECHANGES,  "El fichero ha cambiado. Salvar cambios?" },
	{ MSG_FILENOTFOUND, "Fichero '%s' no encontrado." },
	{ MSG_CANTWRITE,    "Imposible crear fichero '%s'." },
	{ MSG_YESNO,	    " [S/N]" },
	{ MSG_ENTER,	    " [ENTER]" },
	{ MSG_HELP,	    "<ayuda sobre '%s'>" },
	{ MSG_LOADING,	    "CARGANDO" },
	{ MSG_LINETOGO,     "Nmero de lnea: " },
	{ MSG_NOHELPFOR,    "No hay ayuda sobre '%s'" },
	{ MSG_REPLACETHIS,  "Reemplazar texto: " },
	{ MSG_REPLACEWITH,  "Reemplazar con: " },
	{ MSG_TOENDOFFILE,  "Hasta el final del fichero?" },
	{ MSG_YES,	    "S" },
	{ MSG_NO,	    "N" },
	{ MSG_KEYHELP,	    "<ayuda sobre teclas>" },
	{ MSG_ABOUT,	    "<acerca de Minimum Profit>" },
	{ MSG_EXEC,	    "Comando del sistema: " },
	{ MSG_CANTEXEC,     "Error ejecutando comando." },
	{ MSG_WORDWRAP,     "Word wrap en columna (0, ninguno): " },
	{ MSG_TABSIZE,	    "Tamao del tabulador: " },
	{ MSG_BADMODE,	    "Modo incorrecto. Los modos disponibles son:" },
	{ MSG_TMPLNOTFOUND, "Imposible abrir fichero de moldes (%s)" },
	{ MSG_SELECTTMPL,   "Seleccionar molde" },
	{ MSG_TAGLIST,	    "Lista de tags" },
	{ MSG_OPENLIST,     "Documentos abiertos" },
	{ MSG_DEFAULTHINT,  "^A Men" },
	{ MSG_CANCELHINT,   "^N Cancelar" },

	{ MSG_MENU10,	    "&Archivo" },
	{ MSG_MENU11,	    "&Nuevo\tF5" },
	{ MSG_MENU12,	    "&Abrir...\tF3" },
	{ MSG_MENU13,	    "&Reabrir..." },
	{ MSG_MENU14,	    "&Guardar...\tF2" },
	{ MSG_MENU15,	    "Guardar &Cmo..." },
	{ MSG_MENU16,	    "&Cerrar\tF4" },
	{ MSG_MENU17,	    "&Salir\tCtrl-X" },

	{ MSG_MENU20,	    "&Editar" },
	{ MSG_MENU21,	    "&Copiar\tCtrl-D" },
	{ MSG_MENU22,	    "Cor&tar\tCtrl-T" },
	{ MSG_MENU23,	    "&Pegar\tCtrl-V" },
	{ MSG_MENU24,	    "Borrar &Lnea\tCtrl-Y" },
	{ MSG_MENU25,	    "Editar fichero de &moldes" },
	{ MSG_MENU26,	    "C&omando del sistema..." },

	{ MSG_MENU30,	    "&Buscar" },
	{ MSG_MENU31,	    "&Buscar...\tCtrl-B" },
	{ MSG_MENU32,	    "Buscar &Siguiente\tCtrl-L" },
	{ MSG_MENU33,	    "&Reemplazar...\tCtrl-R" },
	{ MSG_MENU34,	    "R&eemplazar en todos..." },
	{ MSG_MENU35,	    "&Distinguir Maysculas" },
	{ MSG_MENU36,	    "Buscar &Tag...\tCtrl-F" },

	{ MSG_MENU40,	    "&Ir A" },
	{ MSG_MENU41,	    "&Siguiente\tF6" },
	{ MSG_MENU42,	    "&Principio\tCtrl-W" },
	{ MSG_MENU43,	    "&Final\tCtrl-E" },
	{ MSG_MENU44,	    "P&rincipio de Lnea\tHome" },
	{ MSG_MENU45,	    "F&in de lnea\tEnd" },
	{ MSG_MENU46,	    "&Lnea nmero\tCtrl-G" },
	{ MSG_MENU47,	    "Pala&bra siguiente\tCtrl-K" },
	{ MSG_MENU48,	    "Palabra anteri&or\tCtrl-J" },
	{ MSG_MENU49,	    "Lista de &documentos\tCtrl-O" },

	{ MSG_MENU50,	    "&Opciones" },
	{ MSG_MENU51,	    "&Salvar tabuladores" },
	{ MSG_MENU52,	    "S&alvar LF como CR/LF" },
	{ MSG_MENU53,	    "&Indentacin automtica" },
	{ MSG_MENU54,	    "&Marcar columna n 80" },
	{ MSG_MENU55,	    "Tamao del &tabulador..." },
	{ MSG_MENU56,	    "&Word wrap..." },
	{ MSG_MENU57,	    "A&yuda sobre teclas" },
	{ MSG_MENU58,	    "A&cerca de..." },

	{ MSG_HELP_TEXT,     "\
+------------------------------------------------------------------+\n\
| Minimum Profit - Teclas					   |\n\
+----------+-------------------------------------------------------+\n\
|  F1	   |   Ayuda para la palabra en el cursor		   |\n\
|  F2	   |   Grabar archivo					   |\n\
|  F3	   |   Abrir archivo					   |\n\
|  F4	   |   Cerrar archivo					   |\n\
|  F5	   |   Nuevo archivo					   |\n\
|  F6	   |   Siguiente archivo				   |\n\
|  F7	   |   Ejecutar macro					   |\n\
|  F8	   |   Desmarcar bloque 				   |\n\
|  F9	   |   Marcar principio/fin de bloque			   |\n\
|  F10	   |   Grabar macro					   |\n\
|  UP	   |   Lnea arriba					   |\n\
|  DOWN    |   Lnea abajo					   |\n\
|  LEFT    |   Carcter izquierda				   |\n\
|  RIGHT   |   Carcter Derecha 				   |\n\
|  HOME    |   Principio Lnea					   |\n\
|  END	   |   Fin Lnea					   |\n\
|  PGUP    |   Pgina Arriba					   |\n\
|  PGDN    |   Pgina Abajo					   |\n\
|  INS	   |   Modo insercin/sobreescribir			   |\n\
|  DEL	   |   Borrar carcter en cursor			   |\n\
|  BACKSPC |   Borrar carcter a la izquierda del cursor	   |\n\
|  ESC	   |   Activar control					   |\n\
|  TAB	   |   Tabulador					   |\n\
|  F11	   |   Disminuir tamao del font (slo win32)		   |\n\
|  F12	   |   Aumentar tamao del font (slo win32)		   |\n\
|  ^F12    |   Maximizar ventana (slo win32)			   |\n\
+----------+-------------------------------------------------------+\n\
| Con control							   |\n\
| (El modo control se activa mediante la pulsacin simultnea de   |\n\
| Control+tecla  Alt+tecla, en los entornos donde esto funciona.  |\n\
| El modo control tambin se puede activar pulsando Esc y a	   |\n\
| continuacin la tecla.)					   |\n\
+----------+-------------------------------------------------------+\n\
|  0-9	   |   Equivalentes a las teclas de funcin F10-F1-F2...F9 |\n\
|  A	   |   Men desplegable 				   |\n\
|  B	   |   Buscar texto					   |\n\
|  C	   |   Copiar bloque					   |\n\
|  D	   |   Copiar bloque					   |\n\
|  E	   |   Principio Documento				   |\n\
|  F	   |   Buscar tag					   |\n\
|  G	   |   Ir a lnea					   |\n\
|  H	   |   Borrar carcter a la izquierda del cursor	   |\n\
|  I	   |   Tabulador					   |\n\
|  J	   |   Palabra izquierda				   |\n\
|  K	   |   Palabra derecha					   |\n\
|  L	   |   Buscar siguiente 				   |\n\
|  M	   |   RETURN						   |\n\
|  N	   |   Activar control					   |\n\
|  O	   |   Mostrar la lista de documentos abiertos		   |\n\
|  P	   |   Pegar bloque					   |\n\
|  Q	   |   Cortar bloque					   |\n\
|  R	   |   Reemplazar					   |\n\
|  S	   |   Completar tag					   |\n\
|  T	   |   Cortar bloque					   |\n\
|  U	   |   Insertar molde					   |\n\
|  V	   |   Pegar bloque					   |\n\
|  W	   |   Fin Documento					   |\n\
|  X	   |   Salir						   |\n\
|  Y	   |   Borrar lnea					   |\n\
|  UP	   |   Pgina arriba					   |\n\
|  DOWN    |   Pgina abajo					   |\n\
|  LEFT    |   Palabra izquierda				   |\n\
|  RIGHT   |   Palabra Derecha					   |\n\
|  HOME    |   Principio Documento				   |\n\
|  END	   |   Fin Documento					   |\n\
+----------+-------------------------------------------------------+\n\
| Modo edicin de lnea 					   |\n\
| (solicitud de nombres de fichero, textos a buscar, etc.)	   |\n\
+----------+-------------------------------------------------------+\n\
|  ENTER   |   Validar						   |\n\
|  ESC	   |   Cancelar 					   |\n\
|  Ctrl-N  |   Cancelar 					   |\n\
|  Ctrl-U  |   Borrar lnea (vaciar)				   |\n\
|  UP	   |   Previo en el histrico				   |\n\
|  DOWN    |   Siguiente en el histrico			   |\n\
|  BACKSPC |   Borrar carcter a la izquierda del cursor	   |\n\
+----------+-------------------------------------------------------+" },

	{ MSG_USAGE_TEXT, "\
Uso: mp [opciones] [fichero [fichero ...]]\n\
\n\
Opciones:\n\
\n\
 -t|--tag [tag] 	Edita el fichero donde est definido tag\n\
 -w|--word-wrap [col]	Activa el wordwrapping en lacolumna col\n\
 -ts|--tab-size [size]	Define el tamao del tabulador a size\n\
 --alt-color		Juego de colores alternativo de ms contraste\n\
 --mouse		Activa el uso del ratn para posicionamiento\n\
 --col80		Marca la columna 80\n\
 -hw|--hardware-cursor	Activa el uso del cursor hardware\n\
 --version		Muestra la versin\n\
 -h|--help		Esta pantalla de ayuda\n\
 -bw|--monochrome	Monocromo\n\
 -ai|--autoindent	Activa el modo de indentacin automtica\n\
 -nt|--no-transparent	Desactiva el modo transparente (eterm, aterm, etc.)\n\
 -l|--lang lang 	Seleccin de idioma\n\
 -m|--mode [modo]	Modo de syntax-hilight. Modos disponibles:\n\
			" },

	{ MSG_EMPTY_TEMPLATE, "\
%%Fichero de moldes vaco\n\
\n\
Este fichero de moldes est vaco. Para crear moldes, slo hay que\n\
escribir un nombre (marcado mediante dos caracteres % seguidos al\n\
principio de la lnea) y un bloque de texto, delimitado por el\n\
siguiente molde o el final del fichero. Al seleccionar uno de los\n\
moldes desde la lista (abierta mediante Ctrl-U), ste se insertar\n\
en el texto activo.\n" },

	{ 0, NULL }
};

